| Version: 3.0.2

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxWindowUpdateLocker Class Reference
Miscellaneous

`#include <wx/wupdlock.h>`

## Detailed Description

This tiny class prevents redrawing of a wxWindow during its lifetime by using wxWindow::Freeze() and wxWindow::Thaw() methods.

It is typically used for creating automatic objects to temporarily suppress window updates before a batch of operations is performed:

void MyFrame::Foo()
{
m_text = new wxTextCtrl(this, ...);
wxWindowUpdateLocker noUpdates(m_text);
m_text-AppendText();
... many other operations with m_text...
m_text-WriteText();
}

Using this class is easier and safer than calling wxWindow::Freeze() and wxWindow::Thaw() because you don't risk to forget calling the latter.

##

Library: wxBase
Category: Miscellaneous

## Public Member Functions
| wxWindowUpdateLocker (wxWindow *win)
| Creates an object preventing the updates of the specified win.
| ~wxWindowUpdateLocker ()
| Destructor reenables updates for the window this object is associated with.

## Constructor & Destructor Documentation

wxWindowUpdateLocker::wxWindowUpdateLocker | ( | wxWindow * | win | ) |

Creates an object preventing the updates of the specified win.

The parameter must be non-NULL and the window must exist for longer than wxWindowUpdateLocker object itself.

wxWindowUpdateLocker::~wxWindowUpdateLocker | ( |  | ) |

Destructor reenables updates for the window this object is associated with.